/* ===== CONTACT ===== */

.contact-section {
    padding: 100px 20px;
}

.contact-wrapper {
    display: flex;
    gap: 50px;
    margin-top: 50px;
    flex-wrap: wrap;
}

/* LEFT SIDE */
.contact-info {
    flex: 1;
    min-width: 280px;
}

.contact-info h3 {
    font-size: 26px;
    margin-bottom: 15px;
    color: #f5b841;
}

.contact-info p {
    color: #aaa;
    line-height: 1.6;
    margin-bottom: 20px;
}

.contact-details p {
    margin-bottom: 10px;
    font-size: 14px;
}

/* FORM */
.contact-form {
    flex: 1;
    min-width: 300px;
    background: rgba(255,255,255,0.03);
    padding: 30px;
    border-radius: 15px;
    border: 1px solid rgba(255,255,255,0.05);
    backdrop-filter: blur(8px);
}

/* INPUT GROUP */
.form-group {
    display: flex;
    gap: 15px;
    margin-bottom: 15px;
}

.contact-form input,
.contact-form textarea {
    width: 100%;
    padding: 12px 15px;
    border-radius: 8px;
    border: 1px solid rgba(255,255,255,0.1);
    background: #121212;
    color: #fff;
    font-size: 14px;
    outline: none;
    transition: 0.3s;
}

/* FOCUS EFFECT */
.contact-form input:focus,
.contact-form textarea:focus {
    border-color: #f5b841;
    box-shadow: 0 0 10px rgba(245,184,65,0.3);
}

/* TEXTAREA */
.contact-form textarea {
    margin-top: 10px;
    resize: none;
}

/* BUTTON */
.contact-btn {
    margin-top: 20px;
    width: 100%;
    padding: 12px;
    border: none;
    border-radius: 10px;
    background: linear-gradient(135deg, #C79B60, #E7C47A);
    color: #1c140d;
    font-weight: 600;
    cursor: pointer;
    transition: 0.3s;
}

.contact-btn:hover {
    transform: translateY(-3px);
    box-shadow: 0 10px 25px rgba(245,184,65,0.4);
}

/* RESPONSIVE */
@media(max-width: 768px) {
    .contact-wrapper {
        flex-direction: column;
    }

    .form-group {
        flex-direction: column;
    }
}